Skip to main content
POST
Create a shadow experiment target

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

endpointId
string
required

Endpoint identifier.

experimentId
string
required

Shadow experiment identifier.

Body

application/json

Deployment under the parent endpoint that should receive mirrored requests from a shadow experiment.

name
string
required

Human-readable target name, unique within the shadow experiment. At most 256 characters.

targetDeploymentId
string
required

Deployment under the parent endpoint that receives mirrored traffic. It must not be a live traffic-split member or the source or target of an active rollout; traffic-split weight 0 warm-up targets are allowed.

description
string

Optional free-form target description.

Response

OK

Deployment that receives mirrored traffic for a shadow experiment.

id
string
required
read-only

Output only. Unique shadow experiment target identifier.

experimentId
string
required
read-only

Output only. Shadow experiment this target belongs to.

name
string
required

Human-readable target name, unique within the shadow experiment. At most 256 characters.

targetDeploymentId
string
required

Deployment under the parent endpoint that receives mirrored traffic. It must not be a live traffic-split member or the source or target of an active rollout; traffic-split weight 0 warm-up targets are allowed.

createdAt
string<date-time>
required
read-only

Output only. Timestamp when the target was created.

updatedAt
string<date-time>
required
read-only

Output only. Timestamp when the target was last updated.

etag
string
required

Opaque version tag for optimistic concurrency control. Returned on read; set it on update or delete requests for consistent read-modify-write.

description
string

Optional free-form target description.